Tool
realtime_grant_create
Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment
Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment
Behavior
- HTTP
POST /realtime/grants
Arguments
Name | Type | Required | Description |
|---|---|---|---|
ops | array | • | Operations granted on matching channels |
pattern | string | • | Channel pattern, e.g. "chat:*" ("*" matches exactly one segment) |
subject | string | • | Identity id the grant applies to, or "*" for every identity in the product |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
ops | array | • | |
pattern | string | • | |
subject | string | • | |
createdAt | string | • |
Try it
Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment.